import { f as e, g as t, h as n, l as r, m as i, n as a, p as o, s, t as c } from "./chunk-XZSTWKYB-CpQJcKKv.js";
//#region node_modules/@mermaid-js/parser/dist/chunks/mermaid-parser.core/chunk-XIRO2GV7.mjs
var l = class extends c {
	static {
		e(this, "PieTokenBuilder");
	}
	constructor() {
		super(["pie", "showData"]);
	}
}, u = class extends a {
	static {
		e(this, "PieValueConverter");
	}
	runCustomConverter(e, t, n) {
		if (e.name === "PIE_SECTION_LABEL") return t.replace(/"/g, "").trim();
	}
}, d = { parser: {
	TokenBuilder: /* @__PURE__ */ e(() => new l(), "TokenBuilder"),
	ValueConverter: /* @__PURE__ */ e(() => new u(), "ValueConverter")
} };
function f(e = o) {
	let a = i(t(e), s), c = i(n({ shared: a }), r, d);
	return a.ServiceRegistry.register(c), {
		shared: a,
		Pie: c
	};
}
e(f, "createPieServices");
//#endregion
export { f as n, d as t };
